General system information
Implementation internals » Information gathering

Gather general system information. More...

## Functions

void | hd_scan_sys (hd_data_t *hd_data)

## Detailed Description

Gather general system information.

## Function Documentation

## hd_scan_sys()

void hd_scan_sys | ( | hd_data_t * | hd_data | ) |

References add_hd_entry(), s_hd_t::base_class, bc_internal, hd_detail_sys_t::data, s_hd_t::detail, s_hd_t::device, sys_info_t::formfactor, sys_info_t::generation, hal_find_device(), hal_get_useful_str(), hd_data, hd_detail_sys, hd_probe_feature(), hd_id_t::id, mod_sys, sys_info_t::model, hd_id_t::name, new_mem(), new_str(), s_str_list_t::next, pr_sys, PROC_CPUINFO, PROGRESS, hal_device_s::prop, read_file(), remove_hd_entries(), sc_int_sys, s_hd_t::serial, sys_info_t::serial, s_str_list_t::str, s_hd_t::sub_class, hd_detail_t::sys, sys_info_t::system_type, hd_detail_t::type, s_hd_t::vendor, and sys_info_t::vendor.

Referenced by hd_scan_no_hal().